Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network5.2.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
5.2.32.0
Broadcast address
5.2.63.255
First usable
5.2.32.1
Last usable
5.2.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 05022000 · Integer 84025344 to 84033535
Reverse DNS zones
32.2.5.in-addr.arpa
33.2.5.in-addr.arpa
34.2.5.in-addr.arpa
35.2.5.in-addr.arpa
36.2.5.in-addr.arpa
37.2.5.in-addr.arpa
38.2.5.in-addr.arpa
39.2.5.in-addr.arpa
40.2.5.in-addr.arpa
41.2.5.in-addr.arpa
42.2.5.in-addr.arpa
43.2.5.in-addr.arpa
44.2.5.in-addr.arpa
45.2.5.in-addr.arpa
46.2.5.in-addr.arpa
47.2.5.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000101.00000010.00100000.000000005.2.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00000101.00000010.00100000.000000005.2.32.0
Broadcast00000101.00000010.00111111.111111115.2.63.255
Split into smaller subnets/27

5.2.32.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
15.2.32.0/275.2.32.1 to 5.2.32.305.2.32.3130
25.2.32.32/275.2.32.33 to 5.2.32.625.2.32.6330
35.2.32.64/275.2.32.65 to 5.2.32.945.2.32.9530
45.2.32.96/275.2.32.97 to 5.2.32.1265.2.32.12730
55.2.32.128/275.2.32.129 to 5.2.32.1585.2.32.15930
65.2.32.160/275.2.32.161 to 5.2.32.1905.2.32.19130
75.2.32.192/275.2.32.193 to 5.2.32.2225.2.32.22330
85.2.32.224/275.2.32.225 to 5.2.32.2545.2.32.25530
95.2.33.0/275.2.33.1 to 5.2.33.305.2.33.3130
105.2.33.32/275.2.33.33 to 5.2.33.625.2.33.6330
115.2.33.64/275.2.33.65 to 5.2.33.945.2.33.9530
125.2.33.96/275.2.33.97 to 5.2.33.1265.2.33.12730
135.2.33.128/275.2.33.129 to 5.2.33.1585.2.33.15930
145.2.33.160/275.2.33.161 to 5.2.33.1905.2.33.19130
155.2.33.192/275.2.33.193 to 5.2.33.2225.2.33.22330
165.2.33.224/275.2.33.225 to 5.2.33.2545.2.33.25530
175.2.34.0/275.2.34.1 to 5.2.34.305.2.34.3130
185.2.34.32/275.2.34.33 to 5.2.34.625.2.34.6330
195.2.34.64/275.2.34.65 to 5.2.34.945.2.34.9530
205.2.34.96/275.2.34.97 to 5.2.34.1265.2.34.12730
215.2.34.128/275.2.34.129 to 5.2.34.1585.2.34.15930
225.2.34.160/275.2.34.161 to 5.2.34.1905.2.34.19130
235.2.34.192/275.2.34.193 to 5.2.34.2225.2.34.22330
245.2.34.224/275.2.34.225 to 5.2.34.2545.2.34.25530
255.2.35.0/275.2.35.1 to 5.2.35.305.2.35.3130
265.2.35.32/275.2.35.33 to 5.2.35.625.2.35.6330
275.2.35.64/275.2.35.65 to 5.2.35.945.2.35.9530
285.2.35.96/275.2.35.97 to 5.2.35.1265.2.35.12730
295.2.35.128/275.2.35.129 to 5.2.35.1585.2.35.15930
305.2.35.160/275.2.35.161 to 5.2.35.1905.2.35.19130
315.2.35.192/275.2.35.193 to 5.2.35.2225.2.35.22330
325.2.35.224/275.2.35.225 to 5.2.35.2545.2.35.25530
335.2.36.0/275.2.36.1 to 5.2.36.305.2.36.3130
345.2.36.32/275.2.36.33 to 5.2.36.625.2.36.6330
355.2.36.64/275.2.36.65 to 5.2.36.945.2.36.9530
365.2.36.96/275.2.36.97 to 5.2.36.1265.2.36.12730
375.2.36.128/275.2.36.129 to 5.2.36.1585.2.36.15930
385.2.36.160/275.2.36.161 to 5.2.36.1905.2.36.19130
395.2.36.192/275.2.36.193 to 5.2.36.2225.2.36.22330
405.2.36.224/275.2.36.225 to 5.2.36.2545.2.36.25530
415.2.37.0/275.2.37.1 to 5.2.37.305.2.37.3130
425.2.37.32/275.2.37.33 to 5.2.37.625.2.37.6330
435.2.37.64/275.2.37.65 to 5.2.37.945.2.37.9530
445.2.37.96/275.2.37.97 to 5.2.37.1265.2.37.12730
455.2.37.128/275.2.37.129 to 5.2.37.1585.2.37.15930
465.2.37.160/275.2.37.161 to 5.2.37.1905.2.37.19130
475.2.37.192/275.2.37.193 to 5.2.37.2225.2.37.22330
485.2.37.224/275.2.37.225 to 5.2.37.2545.2.37.25530
495.2.38.0/275.2.38.1 to 5.2.38.305.2.38.3130
505.2.38.32/275.2.38.33 to 5.2.38.625.2.38.6330
515.2.38.64/275.2.38.65 to 5.2.38.945.2.38.9530
525.2.38.96/275.2.38.97 to 5.2.38.1265.2.38.12730
535.2.38.128/275.2.38.129 to 5.2.38.1585.2.38.15930
545.2.38.160/275.2.38.161 to 5.2.38.1905.2.38.19130
555.2.38.192/275.2.38.193 to 5.2.38.2225.2.38.22330
565.2.38.224/275.2.38.225 to 5.2.38.2545.2.38.25530
575.2.39.0/275.2.39.1 to 5.2.39.305.2.39.3130
585.2.39.32/275.2.39.33 to 5.2.39.625.2.39.6330
595.2.39.64/275.2.39.65 to 5.2.39.945.2.39.9530
605.2.39.96/275.2.39.97 to 5.2.39.1265.2.39.12730
615.2.39.128/275.2.39.129 to 5.2.39.1585.2.39.15930
625.2.39.160/275.2.39.161 to 5.2.39.1905.2.39.19130
635.2.39.192/275.2.39.193 to 5.2.39.2225.2.39.22330
645.2.39.224/275.2.39.225 to 5.2.39.2545.2.39.25530
655.2.40.0/275.2.40.1 to 5.2.40.305.2.40.3130
665.2.40.32/275.2.40.33 to 5.2.40.625.2.40.6330
675.2.40.64/275.2.40.65 to 5.2.40.945.2.40.9530
685.2.40.96/275.2.40.97 to 5.2.40.1265.2.40.12730
695.2.40.128/275.2.40.129 to 5.2.40.1585.2.40.15930
705.2.40.160/275.2.40.161 to 5.2.40.1905.2.40.19130
715.2.40.192/275.2.40.193 to 5.2.40.2225.2.40.22330
725.2.40.224/275.2.40.225 to 5.2.40.2545.2.40.25530
735.2.41.0/275.2.41.1 to 5.2.41.305.2.41.3130
745.2.41.32/275.2.41.33 to 5.2.41.625.2.41.6330
755.2.41.64/275.2.41.65 to 5.2.41.945.2.41.9530
765.2.41.96/275.2.41.97 to 5.2.41.1265.2.41.12730
775.2.41.128/275.2.41.129 to 5.2.41.1585.2.41.15930
785.2.41.160/275.2.41.161 to 5.2.41.1905.2.41.19130
795.2.41.192/275.2.41.193 to 5.2.41.2225.2.41.22330
805.2.41.224/275.2.41.225 to 5.2.41.2545.2.41.25530
815.2.42.0/275.2.42.1 to 5.2.42.305.2.42.3130
825.2.42.32/275.2.42.33 to 5.2.42.625.2.42.6330
835.2.42.64/275.2.42.65 to 5.2.42.945.2.42.9530
845.2.42.96/275.2.42.97 to 5.2.42.1265.2.42.12730
855.2.42.128/275.2.42.129 to 5.2.42.1585.2.42.15930
865.2.42.160/275.2.42.161 to 5.2.42.1905.2.42.19130
875.2.42.192/275.2.42.193 to 5.2.42.2225.2.42.22330
885.2.42.224/275.2.42.225 to 5.2.42.2545.2.42.25530
895.2.43.0/275.2.43.1 to 5.2.43.305.2.43.3130
905.2.43.32/275.2.43.33 to 5.2.43.625.2.43.6330
915.2.43.64/275.2.43.65 to 5.2.43.945.2.43.9530
925.2.43.96/275.2.43.97 to 5.2.43.1265.2.43.12730
935.2.43.128/275.2.43.129 to 5.2.43.1585.2.43.15930
945.2.43.160/275.2.43.161 to 5.2.43.1905.2.43.19130
955.2.43.192/275.2.43.193 to 5.2.43.2225.2.43.22330
965.2.43.224/275.2.43.225 to 5.2.43.2545.2.43.25530
975.2.44.0/275.2.44.1 to 5.2.44.305.2.44.3130
985.2.44.32/275.2.44.33 to 5.2.44.625.2.44.6330
995.2.44.64/275.2.44.65 to 5.2.44.945.2.44.9530
1005.2.44.96/275.2.44.97 to 5.2.44.1265.2.44.12730
1015.2.44.128/275.2.44.129 to 5.2.44.1585.2.44.15930
1025.2.44.160/275.2.44.161 to 5.2.44.1905.2.44.19130
1035.2.44.192/275.2.44.193 to 5.2.44.2225.2.44.22330
1045.2.44.224/275.2.44.225 to 5.2.44.2545.2.44.25530
1055.2.45.0/275.2.45.1 to 5.2.45.305.2.45.3130
1065.2.45.32/275.2.45.33 to 5.2.45.625.2.45.6330
1075.2.45.64/275.2.45.65 to 5.2.45.945.2.45.9530
1085.2.45.96/275.2.45.97 to 5.2.45.1265.2.45.12730
1095.2.45.128/275.2.45.129 to 5.2.45.1585.2.45.15930
1105.2.45.160/275.2.45.161 to 5.2.45.1905.2.45.19130
1115.2.45.192/275.2.45.193 to 5.2.45.2225.2.45.22330
1125.2.45.224/275.2.45.225 to 5.2.45.2545.2.45.25530
1135.2.46.0/275.2.46.1 to 5.2.46.305.2.46.3130
1145.2.46.32/275.2.46.33 to 5.2.46.625.2.46.6330
1155.2.46.64/275.2.46.65 to 5.2.46.945.2.46.9530
1165.2.46.96/275.2.46.97 to 5.2.46.1265.2.46.12730
1175.2.46.128/275.2.46.129 to 5.2.46.1585.2.46.15930
1185.2.46.160/275.2.46.161 to 5.2.46.1905.2.46.19130
1195.2.46.192/275.2.46.193 to 5.2.46.2225.2.46.22330
1205.2.46.224/275.2.46.225 to 5.2.46.2545.2.46.25530
1215.2.47.0/275.2.47.1 to 5.2.47.305.2.47.3130
1225.2.47.32/275.2.47.33 to 5.2.47.625.2.47.6330
1235.2.47.64/275.2.47.65 to 5.2.47.945.2.47.9530
1245.2.47.96/275.2.47.97 to 5.2.47.1265.2.47.12730
1255.2.47.128/275.2.47.129 to 5.2.47.1585.2.47.15930
1265.2.47.160/275.2.47.161 to 5.2.47.1905.2.47.19130
1275.2.47.192/275.2.47.193 to 5.2.47.2225.2.47.22330
1285.2.47.224/275.2.47.225 to 5.2.47.2545.2.47.25530
1295.2.48.0/275.2.48.1 to 5.2.48.305.2.48.3130
1305.2.48.32/275.2.48.33 to 5.2.48.625.2.48.6330
1315.2.48.64/275.2.48.65 to 5.2.48.945.2.48.9530
1325.2.48.96/275.2.48.97 to 5.2.48.1265.2.48.12730
1335.2.48.128/275.2.48.129 to 5.2.48.1585.2.48.15930
1345.2.48.160/275.2.48.161 to 5.2.48.1905.2.48.19130
1355.2.48.192/275.2.48.193 to 5.2.48.2225.2.48.22330
1365.2.48.224/275.2.48.225 to 5.2.48.2545.2.48.25530
1375.2.49.0/275.2.49.1 to 5.2.49.305.2.49.3130
1385.2.49.32/275.2.49.33 to 5.2.49.625.2.49.6330
1395.2.49.64/275.2.49.65 to 5.2.49.945.2.49.9530
1405.2.49.96/275.2.49.97 to 5.2.49.1265.2.49.12730
1415.2.49.128/275.2.49.129 to 5.2.49.1585.2.49.15930
1425.2.49.160/275.2.49.161 to 5.2.49.1905.2.49.19130
1435.2.49.192/275.2.49.193 to 5.2.49.2225.2.49.22330
1445.2.49.224/275.2.49.225 to 5.2.49.2545.2.49.25530
1455.2.50.0/275.2.50.1 to 5.2.50.305.2.50.3130
1465.2.50.32/275.2.50.33 to 5.2.50.625.2.50.6330
1475.2.50.64/275.2.50.65 to 5.2.50.945.2.50.9530
1485.2.50.96/275.2.50.97 to 5.2.50.1265.2.50.12730
1495.2.50.128/275.2.50.129 to 5.2.50.1585.2.50.15930
1505.2.50.160/275.2.50.161 to 5.2.50.1905.2.50.19130
1515.2.50.192/275.2.50.193 to 5.2.50.2225.2.50.22330
1525.2.50.224/275.2.50.225 to 5.2.50.2545.2.50.25530
1535.2.51.0/275.2.51.1 to 5.2.51.305.2.51.3130
1545.2.51.32/275.2.51.33 to 5.2.51.625.2.51.6330
1555.2.51.64/275.2.51.65 to 5.2.51.945.2.51.9530
1565.2.51.96/275.2.51.97 to 5.2.51.1265.2.51.12730
1575.2.51.128/275.2.51.129 to 5.2.51.1585.2.51.15930
1585.2.51.160/275.2.51.161 to 5.2.51.1905.2.51.19130
1595.2.51.192/275.2.51.193 to 5.2.51.2225.2.51.22330
1605.2.51.224/275.2.51.225 to 5.2.51.2545.2.51.25530
1615.2.52.0/275.2.52.1 to 5.2.52.305.2.52.3130
1625.2.52.32/275.2.52.33 to 5.2.52.625.2.52.6330
1635.2.52.64/275.2.52.65 to 5.2.52.945.2.52.9530
1645.2.52.96/275.2.52.97 to 5.2.52.1265.2.52.12730
1655.2.52.128/275.2.52.129 to 5.2.52.1585.2.52.15930
1665.2.52.160/275.2.52.161 to 5.2.52.1905.2.52.19130
1675.2.52.192/275.2.52.193 to 5.2.52.2225.2.52.22330
1685.2.52.224/275.2.52.225 to 5.2.52.2545.2.52.25530
1695.2.53.0/275.2.53.1 to 5.2.53.305.2.53.3130
1705.2.53.32/275.2.53.33 to 5.2.53.625.2.53.6330
1715.2.53.64/275.2.53.65 to 5.2.53.945.2.53.9530
1725.2.53.96/275.2.53.97 to 5.2.53.1265.2.53.12730
1735.2.53.128/275.2.53.129 to 5.2.53.1585.2.53.15930
1745.2.53.160/275.2.53.161 to 5.2.53.1905.2.53.19130
1755.2.53.192/275.2.53.193 to 5.2.53.2225.2.53.22330
1765.2.53.224/275.2.53.225 to 5.2.53.2545.2.53.25530
1775.2.54.0/275.2.54.1 to 5.2.54.305.2.54.3130
1785.2.54.32/275.2.54.33 to 5.2.54.625.2.54.6330
1795.2.54.64/275.2.54.65 to 5.2.54.945.2.54.9530
1805.2.54.96/275.2.54.97 to 5.2.54.1265.2.54.12730
1815.2.54.128/275.2.54.129 to 5.2.54.1585.2.54.15930
1825.2.54.160/275.2.54.161 to 5.2.54.1905.2.54.19130
1835.2.54.192/275.2.54.193 to 5.2.54.2225.2.54.22330
1845.2.54.224/275.2.54.225 to 5.2.54.2545.2.54.25530
1855.2.55.0/275.2.55.1 to 5.2.55.305.2.55.3130
1865.2.55.32/275.2.55.33 to 5.2.55.625.2.55.6330
1875.2.55.64/275.2.55.65 to 5.2.55.945.2.55.9530
1885.2.55.96/275.2.55.97 to 5.2.55.1265.2.55.12730
1895.2.55.128/275.2.55.129 to 5.2.55.1585.2.55.15930
1905.2.55.160/275.2.55.161 to 5.2.55.1905.2.55.19130
1915.2.55.192/275.2.55.193 to 5.2.55.2225.2.55.22330
1925.2.55.224/275.2.55.225 to 5.2.55.2545.2.55.25530
1935.2.56.0/275.2.56.1 to 5.2.56.305.2.56.3130
1945.2.56.32/275.2.56.33 to 5.2.56.625.2.56.6330
1955.2.56.64/275.2.56.65 to 5.2.56.945.2.56.9530
1965.2.56.96/275.2.56.97 to 5.2.56.1265.2.56.12730
1975.2.56.128/275.2.56.129 to 5.2.56.1585.2.56.15930
1985.2.56.160/275.2.56.161 to 5.2.56.1905.2.56.19130
1995.2.56.192/275.2.56.193 to 5.2.56.2225.2.56.22330
2005.2.56.224/275.2.56.225 to 5.2.56.2545.2.56.25530
2015.2.57.0/275.2.57.1 to 5.2.57.305.2.57.3130
2025.2.57.32/275.2.57.33 to 5.2.57.625.2.57.6330
2035.2.57.64/275.2.57.65 to 5.2.57.945.2.57.9530
2045.2.57.96/275.2.57.97 to 5.2.57.1265.2.57.12730
2055.2.57.128/275.2.57.129 to 5.2.57.1585.2.57.15930
2065.2.57.160/275.2.57.161 to 5.2.57.1905.2.57.19130
2075.2.57.192/275.2.57.193 to 5.2.57.2225.2.57.22330
2085.2.57.224/275.2.57.225 to 5.2.57.2545.2.57.25530
2095.2.58.0/275.2.58.1 to 5.2.58.305.2.58.3130
2105.2.58.32/275.2.58.33 to 5.2.58.625.2.58.6330
2115.2.58.64/275.2.58.65 to 5.2.58.945.2.58.9530
2125.2.58.96/275.2.58.97 to 5.2.58.1265.2.58.12730
2135.2.58.128/275.2.58.129 to 5.2.58.1585.2.58.15930
2145.2.58.160/275.2.58.161 to 5.2.58.1905.2.58.19130
2155.2.58.192/275.2.58.193 to 5.2.58.2225.2.58.22330
2165.2.58.224/275.2.58.225 to 5.2.58.2545.2.58.25530
2175.2.59.0/275.2.59.1 to 5.2.59.305.2.59.3130
2185.2.59.32/275.2.59.33 to 5.2.59.625.2.59.6330
2195.2.59.64/275.2.59.65 to 5.2.59.945.2.59.9530
2205.2.59.96/275.2.59.97 to 5.2.59.1265.2.59.12730
2215.2.59.128/275.2.59.129 to 5.2.59.1585.2.59.15930
2225.2.59.160/275.2.59.161 to 5.2.59.1905.2.59.19130
2235.2.59.192/275.2.59.193 to 5.2.59.2225.2.59.22330
2245.2.59.224/275.2.59.225 to 5.2.59.2545.2.59.25530
2255.2.60.0/275.2.60.1 to 5.2.60.305.2.60.3130
2265.2.60.32/275.2.60.33 to 5.2.60.625.2.60.6330
2275.2.60.64/275.2.60.65 to 5.2.60.945.2.60.9530
2285.2.60.96/275.2.60.97 to 5.2.60.1265.2.60.12730
2295.2.60.128/275.2.60.129 to 5.2.60.1585.2.60.15930
2305.2.60.160/275.2.60.161 to 5.2.60.1905.2.60.19130
2315.2.60.192/275.2.60.193 to 5.2.60.2225.2.60.22330
2325.2.60.224/275.2.60.225 to 5.2.60.2545.2.60.25530
2335.2.61.0/275.2.61.1 to 5.2.61.305.2.61.3130
2345.2.61.32/275.2.61.33 to 5.2.61.625.2.61.6330
2355.2.61.64/275.2.61.65 to 5.2.61.945.2.61.9530
2365.2.61.96/275.2.61.97 to 5.2.61.1265.2.61.12730
2375.2.61.128/275.2.61.129 to 5.2.61.1585.2.61.15930
2385.2.61.160/275.2.61.161 to 5.2.61.1905.2.61.19130
2395.2.61.192/275.2.61.193 to 5.2.61.2225.2.61.22330
2405.2.61.224/275.2.61.225 to 5.2.61.2545.2.61.25530
2415.2.62.0/275.2.62.1 to 5.2.62.305.2.62.3130
2425.2.62.32/275.2.62.33 to 5.2.62.625.2.62.6330
2435.2.62.64/275.2.62.65 to 5.2.62.945.2.62.9530
2445.2.62.96/275.2.62.97 to 5.2.62.1265.2.62.12730
2455.2.62.128/275.2.62.129 to 5.2.62.1585.2.62.15930
2465.2.62.160/275.2.62.161 to 5.2.62.1905.2.62.19130
2475.2.62.192/275.2.62.193 to 5.2.62.2225.2.62.22330
2485.2.62.224/275.2.62.225 to 5.2.62.2545.2.62.25530
2495.2.63.0/275.2.63.1 to 5.2.63.305.2.63.3130
2505.2.63.32/275.2.63.33 to 5.2.63.625.2.63.6330
2515.2.63.64/275.2.63.65 to 5.2.63.945.2.63.9530
2525.2.63.96/275.2.63.97 to 5.2.63.1265.2.63.12730
2535.2.63.128/275.2.63.129 to 5.2.63.1585.2.63.15930
2545.2.63.160/275.2.63.161 to 5.2.63.1905.2.63.19130
2555.2.63.192/275.2.63.193 to 5.2.63.2225.2.63.22330
2565.2.63.224/275.2.63.225 to 5.2.63.2545.2.63.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses